ID CVE-2018-7727
Summary An issue was discovered in ZZIPlib 0.13.68. There is a memory leak triggered in the function zzip_mem_disk_new in memdisk.c, which will lead to a denial of service attack.
References
Vulnerable Configurations
  • cpe:2.3:a:zziplib_project:zziplib:0.13.68:*:*:*:*:*:*:*
    cpe:2.3:a:zziplib_project:zziplib:0.13.68:*:*:*:*:*:*:*
  • cpe:2.3:o:redhat:enterprise_linux_desktop:7.0:*:*:*:*:*:*:*
    cpe:2.3:o:redhat:enterprise_linux_desktop:7.0:*:*:*:*:*:*:*
  • cpe:2.3:o:redhat:enterprise_linux_server:7.0:*:*:*:*:*:*:*
    cpe:2.3:o:redhat:enterprise_linux_server:7.0:*:*:*:*:*:*:*
  • cpe:2.3:o:redhat:enterprise_linux_workstation:7.0:*:*:*:*:*:*:*
    cpe:2.3:o:redhat:enterprise_linux_workstation:7.0:*:*:*:*:*:*:*
CVSS
Base: 4.3 (as of 03-10-2019 - 00:03)
Impact:
Exploitability:
CWE CWE-772
CAPEC
  • HTTP DoS
    An attacker performs flooding at the HTTP level to bring down only a particular web application rather than anything listening on a TCP/IP connection. This denial of service attack requires substantially fewer packets to be sent which makes DoS harder to detect. This is an equivalent of SYN flood in HTTP. The idea is to keep the HTTP session alive indefinitely and then repeat that hundreds of times. This attack targets resource depletion weaknesses in web server software. The web server will wait to attacker's responses on the initiated HTTP sessions while the connection threads are being exhausted.
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
cvss-vector via4 AV:N/AC:M/Au:N/C:N/I:N/A:P
redhat via4
advisories
bugzilla
id 1554676
title CVE-2018-7727 zziplib: Memory leak in memdisk.c:zzip_mem_disk_new() can lead to denial of service via crafted zip
oval
AND
  • OR
    • comment Red Hat Enterprise Linux 7 Client is installed
      oval oval:com.redhat.rhba:tst:20150364001
    • comment Red Hat Enterprise Linux 7 Server is installed
      oval oval:com.redhat.rhba:tst:20150364002
    • comment Red Hat Enterprise Linux 7 Workstation is installed
      oval oval:com.redhat.rhba:tst:20150364003
    • comment Red Hat Enterprise Linux 7 ComputeNode is installed
      oval oval:com.redhat.rhba:tst:20150364004
  • OR
    • AND
      • comment zziplib is earlier than 0:0.13.62-9.el7
        oval oval:com.redhat.rhsa:tst:20183229005
      • comment zziplib is signed with Red Hat redhatrelease2 key
        oval oval:com.redhat.rhsa:tst:20183229006
    • AND
      • comment zziplib-devel is earlier than 0:0.13.62-9.el7
        oval oval:com.redhat.rhsa:tst:20183229007
      • comment zziplib-devel is signed with Red Hat redhatrelease2 key
        oval oval:com.redhat.rhsa:tst:20183229008
    • AND
      • comment zziplib-utils is earlier than 0:0.13.62-9.el7
        oval oval:com.redhat.rhsa:tst:20183229009
      • comment zziplib-utils is signed with Red Hat redhatrelease2 key
        oval oval:com.redhat.rhsa:tst:20183229010
rhsa
id RHSA-2018:3229
released 2018-10-30
severity Low
title RHSA-2018:3229: zziplib security update (Low)
rpms
  • zziplib-0:0.13.62-9.el7
  • zziplib-devel-0:0.13.62-9.el7
  • zziplib-utils-0:0.13.62-9.el7
refmap via4
misc https://github.com/gdraheim/zziplib/issues/40
Last major update 03-10-2019 - 00:03
Published 06-03-2018 - 17:29
Back to Top